Subject: bug#28905: 11.90.2.2017-07-25; TeX-documentation-texdoc blocks

From: Mosè Giordano <[email-masked]>
Date: Sun, 4 Nov 2018 17:11:46 +0100

Hi Keita,

On Sun, Nov 4, 2018 at 10:48 AM Ikumi Keita <[email-masked]> wrote:
>
> Hi Fran and all,
>
> >>>>> "Fran Burstall (Gmail)" <[email-masked]> writes:
> > Hi Ikumi,
> > It works for me.  Pass "amsmath" to the patched TeX-documentation-texdoc
> > and it fires evince on the documentation without blocking emacs; fire it on
> > "foobar" and I get a sensible message about not finding any documentation.
>
> Thanks for confirmation.  It works just as expectedly.  How about you,
> Mosè?

I didn't try the patch, just read it.  The idea should be to launch an
asynchronous process and show its output, correct?  That should be the
way to go.  Only one comment: is it necessary to use
`start-process-shell-command'?  Wouldn't `start-process' be
sufficient?

Bye,
Mosè